Bug 617657 (CVE-2010-2755) - CVE-2010-2755 Mozilla arbitrary free flaw
Summary: CVE-2010-2755 Mozilla arbitrary free flaw
Status: CLOSED ERRATA
Alias: CVE-2010-2755
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100724,reported=20100723,sou...
Keywords: Security
Depends On: 617658 617659 617660 617663 617665 617666
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 16:52 UTC by Josh Bressers
Modified: 2015-10-15 21:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 05:31:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0556 normal SHIPPED_LIVE Critical: firefox security update 2010-07-24 00:01:09 UTC
Red Hat Product Errata RHSA-2010:0557 normal SHIPPED_LIVE Critical: seamonkey security update 2010-07-24 00:43:30 UTC
Red Hat Product Errata RHSA-2010:0558 normal SHIPPED_LIVE Critical: firefox security update 2010-07-24 00:14:41 UTC
Mozilla Foundation 575836 None None None Never

Description Josh Bressers 2010-07-23 16:52:49 UTC
An invalid free flaw was found in Firefox's plugin handler. Malicious web content could result in an invalid memory pointer being freed, causing Firefox to crash or, potentially, execute arbitrary code with the privileges of the user running Firefox.

Comment 5 Josh Bressers 2010-07-23 21:07:28 UTC
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-48.html

Comment 8 errata-xmlrpc 2010-07-24 00:01:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0556 https://rhn.redhat.com/errata/RHSA-2010-0556.html

Comment 9 errata-xmlrpc 2010-07-24 00:14:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0558 https://rhn.redhat.com/errata/RHSA-2010-0558.html

Comment 10 errata-xmlrpc 2010-07-24 00:43:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0557 https://rhn.redhat.com/errata/RHSA-2010-0557.html

Comment 11 Fedora Update System 2010-07-27 02:45:24 UTC
xulrunner-1.9.1.11-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-07-27 02:49:42 UTC
xulrunner-1.9.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.